Bug 806105

Summary: virt-manager: creating an arm guest gives 'unsupported configuration: this QEMU binary lacks hda support'
Product: [Community] Virtualization Tools Reporter: Orion Poplawski <orion>
Component: virt-managerAssignee: Cole Robinson <crobinso>
Status: CLOSED UPSTREAM QA Contact:
Severity: low Docs Contact:
Priority: unspecified    
Version: unspecifiedCC: acathrow, berrange, clalancette, crobinso, dougsland, hbrock, herrold, itamar, jforbes, john.ellson, jyang, laine, libvirt-maint, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-18 12:43:15 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Orion Poplawski 2012-03-22 17:44:59 EDT
Description of problem:

When trying to create a arm guest:

Unable to complete install: 'unsupported configuration: this QEMU binary lacks hda support'

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/asyncjob.py", line 45, in cb_wrapper
    callback(asyncjob, *args, **kwargs)
  File "/usr/share/virt-manager/virtManager/create.py", line 1911, in do_install
    guest.start_install(False, meter=meter)
  File "/usr/lib/python2.7/site-packages/virtinst/Guest.py", line 1239, in start_install
    noboot)
  File "/usr/lib/python2.7/site-packages/virtinst/Guest.py", line 1307, in _create_guest
    dom = self.conn.createLinux(start_xml or final_xml, 0)
  File "/usr/lib/python2.7/site-packages/libvirt.py", line 2413, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: unsupported configuration: this QEMU binary lacks hda support


Workaround is to specify the ac97 sound device rather than default.  This should be done automatically though.

Version-Release number of selected component (if applicable):
libvirt-0.9.10-2.fc17.i686
qemu-system-arm-1.0-8.fc17.i686
Comment 1 Cole Robinson 2012-06-07 17:39:41 EDT
Thanks for the report Orion.

Still seeing this on latest packages? How did you create the guest? Can you provide the offending XML, and the working version?
Comment 2 Orion Poplawski 2012-06-07 19:04:29 EDT
Still get it with:
libvirt-0.9.11.3-1.fc17.i686
qemu-system-arm-1.0-17.fc17.i686

I downloaded the armhfp XFCE image from http://fedoraproject.org/wiki/Architectures/ARM/Fedora_17_Beta.  

From virt-manager did create a new virtual machine and "Import existing disk image", OS Type Linux, Fedora 16, set architecture to arm.
Comment 3 Orion Poplawski 2012-06-07 19:16:03 EDT
Now when I set ac97 for sound and continue I get:

Unable to complete install: 'Unable to read from monitor: Connection reset by peer'

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/asyncjob.py", line 45, in cb_wrapper
    callback(asyncjob, *args, **kwargs)
  File "/usr/share/virt-manager/virtManager/create.py", line 1911, in do_install
    guest.start_install(False, meter=meter)
  File "/usr/lib/python2.7/site-packages/virtinst/Guest.py", line 1239, in start_install
    noboot)
  File "/usr/lib/python2.7/site-packages/virtinst/Guest.py", line 1307, in _create_guest
    dom = self.conn.createLinux(start_xml or final_xml, 0)
  File "/usr/lib/python2.7/site-packages/libvirt.py", line 2397, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: Unable to read from monitor: Connection reset by peer

I can open a separate bug for that if desired.
Comment 4 Cole Robinson 2013-06-28 22:42:37 EDT
Moving to upstream tracker.
Comment 5 Cole Robinson 2013-08-18 12:43:15 EDT
Most arm boards don't allow specifying an explicit sound device, so upstream virt-manager doesn't do it by default on ARM anymore.